PGSQL_CONTROL
-- $Id: printf.m4,v 1.1 2005/08/25 16:29:31 gd Exp $
CREATE OR REPLACE FUNCTION printf(text, text[]) RETURNS text
 AS 'DECLARE loopn integer := 1;
	     result text := '''';
     BEGIN
	result := REPLACE($1, ''%%'', ''%'' || chr(168));
	LOOP
	    IF $2[loopn] IS NULL THEN
		result := REPLACE(result, ''%'' || chr(168), ''%'');
		EXIT;
            END IF;
            result := replace(result, ''%'' || loopn, $2[loopn]);
            loopn := loopn + 1;
        END LOOP;
    	RETURN result;
     END;
    '
LANGUAGE PLPGSQL IMMUTABLE STRICT
;
COMMENT ON FUNCTION printf(text, text[]) IS '   $1  %  $2[]. %  %.'
;
